Package tigase.conf

## Class ConfigWriter

- java.lang.Object
- - tigase.conf.ConfigWriter

-     public class ConfigWriter
      extends java.lang.Object

  Created by andrzej on 05.06.2016.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigWriter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `buildTree​(java.util.Map<java.lang.String,​java.lang.Object> props)` |
    `static boolean` | `hasRestrictedChars​(java.lang.String str)` |
    `ConfigWriter` | `resolveVariables()` |
    `void` | `write​(java.io.File f, java.util.Map<java.lang.String,​java.lang.Object> props)` |
    `void` | `write​(java.io.Writer writer, java.util.Map<java.lang.String,​java.lang.Object> props)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigWriter

          public ConfigWriter()

  - ### Method Detail

    - #### buildTree

          public static java.util.Map<java.lang.String,​java.lang.Object> buildTree​(java.util.Map<java.lang.String,​java.lang.Object> props)

    - #### hasRestrictedChars

          public static boolean hasRestrictedChars​(java.lang.String str)

    - #### resolveVariables

          public ConfigWriter resolveVariables()

    - #### write

          public void write​(java.io.File f,
                            java.util.Map<java.lang.String,​java.lang.Object> props)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write​(java.io.Writer writer,
                            java.util.Map<java.lang.String,​java.lang.Object> props)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`